Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActRelationshipPertainsMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActRelationshipPertainsMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActRelationshipPertainsMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Relationship Pertains Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getActRelationshipPertainsMember3()`

Field Summary
`static int` | `AUTH` The 'AUTH' literal value.
`static ActRelationshipPertainsMember3` | `AUTH_LITERAL` The 'AUTH' literal object.
`static int` | `CAUS` The 'CAUS' literal value.
`static ActRelationshipPertainsMember3` | `CAUS_LITERAL` The 'CAUS' literal object.
`static int` | `COVBY` The 'COVBY' literal value.
`static ActRelationshipPertainsMember3` | `COVBY_LITERAL` The 'COVBY' literal object.
`static int` | `DRIV` The 'DRIV' literal value.
`static ActRelationshipPertainsMember3` | `DRIV_LITERAL` The 'DRIV' literal object.
`static int` | `EXPL` The 'EXPL' literal value.
`static ActRelationshipPertainsMember3` | `EXPL_LITERAL` The 'EXPL' literal object.
`static int` | `ITEMSLOC` The 'ITEMSLOC' literal value.
`static ActRelationshipPertainsMember3` | `ITEMSLOC_LITERAL` The 'ITEMSLOC' literal object.
`static int` | `LIMIT` The 'LIMIT' literal value.
`static ActRelationshipPertainsMember3` | `LIMIT_LITERAL` The 'LIMIT' literal object.
`static int` | `MFST` The 'MFST' literal value.
`static ActRelationshipPertainsMember3` | `MFST_LITERAL` The 'MFST' literal object.
`static int` | `NAME` The 'NAME' literal value.
`static ActRelationshipPertainsMember3` | `NAME_LITERAL` The 'NAME' literal object.
`static int` | `PERT` The 'PERT' literal value.
`static ActRelationshipPertainsMember3` | `PERT_LITERAL` The 'PERT' literal object.
`static int` | `PREV` The 'PREV' literal value.
`static ActRelationshipPertainsMember3` | `PREV_LITERAL` The 'PREV' literal object.
`static int` | `REFR` The 'REFR' literal value.
`static ActRelationshipPertainsMember3` | `REFR_LITERAL` The 'REFR' literal object.
`static int` | `REFV` The 'REFV' literal value.
`static ActRelationshipPertainsMember3` | `REFV_LITERAL` The 'REFV' literal object.
`static int` | `SUBJ` The 'SUBJ' literal value.
`static ActRelationshipPertainsMember3` | `SUBJ_LITERAL` The 'SUBJ' literal object.
`static int` | `SUMM` The 'SUMM' literal value.
`static ActRelationshipPertainsMember3` | `SUMM_LITERAL` The 'SUMM' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Relationship Pertains Member3' enumerators.

Method Summary
`static ActRelationshipPertainsMember3` | `get(int value)` Returns the 'Act Relationship Pertains Member3' literal with the specified integer value.
`static ActRelationshipPertainsMember3` | `get(java.lang.String literal)` Returns the 'Act Relationship Pertains Member3' literal with the specified literal value.
`static ActRelationshipPertainsMember3` | `getByName(java.lang.String name)` Returns the 'Act Relationship Pertains Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PERT

    public static final int PERT

  The 'PERT' literal value.

  If the meaning of 'PERT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PERT_LITERAL`, Constant Field Values

### AUTH

    public static final int AUTH

  The 'AUTH' literal value.

  If the meaning of 'AUTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUTH_LITERAL`, Constant Field Values

### CAUS

    public static final int CAUS

  The 'CAUS' literal value.

  If the meaning of 'CAUS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CAUS_LITERAL`, Constant Field Values

### COVBY

    public static final int COVBY

  The 'COVBY' literal value.

  If the meaning of 'COVBY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COVBY_LITERAL`, Constant Field Values

### DRIV

    public static final int DRIV

  The 'DRIV' literal value.

  If the meaning of 'DRIV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DRIV_LITERAL`, Constant Field Values

### EXPL

    public static final int EXPL

  The 'EXPL' literal value.

  If the meaning of 'EXPL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXPL_LITERAL`, Constant Field Values

### ITEMSLOC

    public static final int ITEMSLOC

  The 'ITEMSLOC' literal value.

  If the meaning of 'ITEMSLOC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ITEMSLOC_LITERAL`, Constant Field Values

### LIMIT

    public static final int LIMIT

  The 'LIMIT' literal value.

  If the meaning of 'LIMIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIMIT_LITERAL`, Constant Field Values

### MFST

    public static final int MFST

  The 'MFST' literal value.

  If the meaning of 'MFST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MFST_LITERAL`, Constant Field Values

### NAME

    public static final int NAME

  The 'NAME' literal value.

  If the meaning of 'NAME' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NAME_LITERAL`, Constant Field Values

### PREV

    public static final int PREV

  The 'PREV' literal value.

  If the meaning of 'PREV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PREV_LITERAL`, Constant Field Values

### REFR

    public static final int REFR

  The 'REFR' literal value.

  If the meaning of 'REFR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REFR_LITERAL`, Constant Field Values

### REFV

    public static final int REFV

  The 'REFV' literal value.

  If the meaning of 'REFV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REFV_LITERAL`, Constant Field Values

### SUBJ

    public static final int SUBJ

  The 'SUBJ' literal value.

  If the meaning of 'SUBJ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBJ_LITERAL`, Constant Field Values

### SUMM

    public static final int SUMM

  The 'SUMM' literal value.

  If the meaning of 'SUMM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUMM_LITERAL`, Constant Field Values

### PERT_LITERAL

    public static final ActRelationshipPertainsMember3 PERT_LITERAL

  The 'PERT' literal object.

  See Also:
    `PERT`

### AUTH_LITERAL

    public static final ActRelationshipPertainsMember3 AUTH_LITERAL

  The 'AUTH' literal object.

  See Also:
    `AUTH`

### CAUS_LITERAL

    public static final ActRelationshipPertainsMember3 CAUS_LITERAL

  The 'CAUS' literal object.

  See Also:
    `CAUS`

### COVBY_LITERAL

    public static final ActRelationshipPertainsMember3 COVBY_LITERAL

  The 'COVBY' literal object.

  See Also:
    `COVBY`

### DRIV_LITERAL

    public static final ActRelationshipPertainsMember3 DRIV_LITERAL

  The 'DRIV' literal object.

  See Also:
    `DRIV`

### EXPL_LITERAL

    public static final ActRelationshipPertainsMember3 EXPL_LITERAL

  The 'EXPL' literal object.

  See Also:
    `EXPL`

### ITEMSLOC_LITERAL

    public static final ActRelationshipPertainsMember3 ITEMSLOC_LITERAL

  The 'ITEMSLOC' literal object.

  See Also:
    `ITEMSLOC`

### LIMIT_LITERAL

    public static final ActRelationshipPertainsMember3 LIMIT_LITERAL

  The 'LIMIT' literal object.

  See Also:
    `LIMIT`

### MFST_LITERAL

    public static final ActRelationshipPertainsMember3 MFST_LITERAL

  The 'MFST' literal object.

  See Also:
    `MFST`

### NAME_LITERAL

    public static final ActRelationshipPertainsMember3 NAME_LITERAL

  The 'NAME' literal object.

  See Also:
    `NAME`

### PREV_LITERAL

    public static final ActRelationshipPertainsMember3 PREV_LITERAL

  The 'PREV' literal object.

  See Also:
    `PREV`

### REFR_LITERAL

    public static final ActRelationshipPertainsMember3 REFR_LITERAL

  The 'REFR' literal object.

  See Also:
    `REFR`

### REFV_LITERAL

    public static final ActRelationshipPertainsMember3 REFV_LITERAL

  The 'REFV' literal object.

  See Also:
    `REFV`

### SUBJ_LITERAL

    public static final ActRelationshipPertainsMember3 SUBJ_LITERAL

  The 'SUBJ' literal object.

  See Also:
    `SUBJ`

### SUMM_LITERAL

    public static final ActRelationshipPertainsMember3 SUMM_LITERAL

  The 'SUMM' literal object.

  See Also:
    `SUMM`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Relationship Pertains Member3' enumerators.

Method Detail

### get

    public static ActRelationshipPertainsMember3 get(java.lang.String literal)

  Returns the 'Act Relationship Pertains Member3' literal with the specified literal value.

### getByName

    public static ActRelationshipPertainsMember3 getByName(java.lang.String name)

  Returns the 'Act Relationship Pertains Member3' literal with the specified name.

### get

    public static ActRelationshipPertainsMember3 get(int value)

  Returns the 'Act Relationship Pertains Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD